cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Community Tip - Did you get called away in the middle of writing a post? Don't worry you can find your unfinished post later in the Drafts section of your profile page. X

Pro/Intralink 11.0 with bundled Oracle DB 12c.R1

Invisigoth
14-Alexandrite

Pro/Intralink 11.0 with bundled Oracle DB 12c.R1

Hello Windchill Friends,

 

This will be my last post as I am leaving the Wonderful World of Windchill for another career opportunity.  Since I got so many good info from this forum, as my final give back here's the latest gotcha that I discovered:

 

In short:

I went to install the 11.0-M030-CPS16 Critical Patch set on the customer's Pro/Intralink 11.0 server.  Install failed at the update of the bundled Oracle DB server:

 

DEBUG 2019-08-30 09:59:11 - java.lang.RuntimeException: Upgrading Oracle Database 12.2.0.1 failed

 

Confirmed that the 11.0 Pro/Intralink build requires the database to be upgraded in advance, meaning that the only way to mitigate the CWE-502 issue for this install is to apply the temp "11.0-M030-CPS15_CPSXB1 jar patch".

 

Customer will need to upgrade the install to 11.1 or 11.2 from here, in order to be able to use the Oracle 12c.R2 release.

 

Thanks all!  Best of luck with your PTC products!

 

 

 

1 REPLY 1
BenLoosli
23-Emerald II
(To:Invisigoth)

The customer will also need to configure licenses when they go to 11.1 or higher!

That is one of the reasons we are sticking with 11.0 for now but will upgrade to 12.0 after it is released next summer.

Top Tags